# Make a call

POST https://api.synthflow.ai/v2/calls
Content-Type: application/json

Initiates a real-time phone call through the AI agent.

Reference: https://docs.synthflow.ai/api-reference/platform-api/calls/voice-call

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Synthflow APIs
  version: 1.0.0
paths:
  /calls:
    post:
      operationId: voice-call
      summary: Make a call
      description: Initiates a real-time phone call through the AI agent.
      tags:
        - ''
      parameters:
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/voice-call_Response_200'
        '400':
          description: '400'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Voice-callRequestBadRequestError'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                model_id:
                  $ref: '#/components/schemas/model_id'
                phone:
                  type: string
                  description: Call recipient's phone number.
                name:
                  type: string
                  description: Call recipient's name.
                custom_variables:
                  type: array
                  items:
                    $ref: >-
                      #/components/schemas/CallsPostRequestBodyContentApplicationJsonSchemaCustomVariablesItems
                  description: >-
                    Key-Value pairs of custom variables that you can dynamically
                    inject into the prompt. [Learn more](/custom-variables).
                lead_email:
                  type: string
                  description: >-
                    The customer's email that can be used to book an
                    appointment.
                lead_timezone:
                  type: string
                  description: >-
                    The customer's time zone that can be used to book an
                    appointment. For a list of all available time zones, see
                    [Time zones](/time-zones).
                prompt:
                  type: string
                  description: The prompt that the agent will use.
                greeting:
                  type: string
                  description: The greeting the agent will use.
              required:
                - model_id
                - phone
                - name
servers:
  - url: https://api.synthflow.ai/v2
  - url: https://api.us.synthflow.ai/v2
components:
  schemas:
    model_id:
      type: string
      description: Agent ID. You can find it on the agent’s page in your dashboard.
      title: model_id
    CallsPostRequestBodyContentApplicationJsonSchemaCustomVariablesItems:
      type: object
      properties:
        key:
          type: string
        value:
          type: string
      title: CallsPostRequestBodyContentApplicationJsonSchemaCustomVariablesItems
    CallsPostResponsesContentApplicationJsonSchemaResponse:
      type: object
      properties:
        answer:
          type: string
        call_id:
          type: string
      title: CallsPostResponsesContentApplicationJsonSchemaResponse
    voice-call_Response_200:
      type: object
      properties:
        status:
          type: string
        response:
          $ref: >-
            #/components/schemas/CallsPostResponsesContentApplicationJsonSchemaResponse
        eta:
          type: integer
          description: How long it will take to initialize the call, in seconds.
      title: voice-call_Response_200
    Voice-callRequestBadRequestError:
      type: object
      properties: {}
      title: Voice-callRequestBadRequestError
  securitySchemes:
    sec0:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python
import requests

url = "https://api.synthflow.ai/v2/calls"

payload = {
    "model_id": "1696372226173x164740052408336400",
    "phone": "+12345678987",
    "name": "David",
    "custom_variables": [
        {
            "key": "Company",
            "value": "Synthflow"
        },
        {
            "key": "Role",
            "value": "Sales Specialist"
        }
    ],
    "prompt": "You are a helpful sales assistant.",
    "greeting": "Hello, this is Sarah calling from Acme Corp."
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthflow.ai/v2/calls"

	payload := strings.NewReader("{\n  \"model_id\": \"1696372226173x164740052408336400\",\n  \"phone\": \"+12345678987\",\n  \"name\": \"David\",\n  \"custom_variables\": [\n    {\n      \"key\": \"Company\",\n      \"value\": \"Synthflow\"\n    },\n    {\n      \"key\": \"Role\",\n      \"value\": \"Sales Specialist\"\n    }\n  ],\n  \"prompt\": \"You are a helpful sales assistant.\",\n  \"greeting\": \"Hello, this is Sarah calling from Acme Corp.\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.synthflow.ai/v2/calls")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"model_id\": \"1696372226173x164740052408336400\",\n  \"phone\": \"+12345678987\",\n  \"name\": \"David\",\n  \"custom_variables\": [\n    {\n      \"key\": \"Company\",\n      \"value\": \"Synthflow\"\n    },\n    {\n      \"key\": \"Role\",\n      \"value\": \"Sales Specialist\"\n    }\n  ],\n  \"prompt\": \"You are a helpful sales assistant.\",\n  \"greeting\": \"Hello, this is Sarah calling from Acme Corp.\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.synthflow.ai/v2/calls")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"model_id\": \"1696372226173x164740052408336400\",\n  \"phone\": \"+12345678987\",\n  \"name\": \"David\",\n  \"custom_variables\": [\n    {\n      \"key\": \"Company\",\n      \"value\": \"Synthflow\"\n    },\n    {\n      \"key\": \"Role\",\n      \"value\": \"Sales Specialist\"\n    }\n  ],\n  \"prompt\": \"You are a helpful sales assistant.\",\n  \"greeting\": \"Hello, this is Sarah calling from Acme Corp.\"\n}")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.synthflow.ai/v2/calls");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"model_id\": \"1696372226173x164740052408336400\",\n  \"phone\": \"+12345678987\",\n  \"name\": \"David\",\n  \"custom_variables\": [\n    {\n      \"key\": \"Company\",\n      \"value\": \"Synthflow\"\n    },\n    {\n      \"key\": \"Role\",\n      \"value\": \"Sales Specialist\"\n    }\n  ],\n  \"prompt\": \"You are a helpful sales assistant.\",\n  \"greeting\": \"Hello, this is Sarah calling from Acme Corp.\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "model_id": "1696372226173x164740052408336400",
  "phone": "+12345678987",
  "name": "David",
  "custom_variables": [
    [
      "key": "Company",
      "value": "Synthflow"
    ],
    [
      "key": "Role",
      "value": "Sales Specialist"
    ]
  ],
  "prompt": "You are a helpful sales assistant.",
  "greeting": "Hello, this is Sarah calling from Acme Corp."
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/calls")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```